<?php

declare(strict_types=1);

namespace WerkraumMedia\ThueCat\Domain\Model\Frontend;

/*
 * Copyright (C) 2021 Daniel Siepmann <coding@daniel-siepmann.de>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301, USA.
 */

use TYPO3\CMS\Extbase\DomainObject\AbstractEntity;

class TouristAttraction extends AbstractEntity
{
    protected string $title = '';
    protected string $description = '';
    protected ?OpeningHours $openingHours = null;
    protected ?Offers $offers = null;
    protected ?Address $address = null;
    protected ?Town $town = null;
    protected ?Media $media = null;

    public function getTitle(): string
    {
        return $this->title;
    }

    public function getDescription(): string
    {
        return $this->description;
    }

    public function getOpeningHours(): ?OpeningHours
    {
        return $this->openingHours;
    }

    public function getOffers(): ?Offers
    {
        return $this->offers;
    }

    public function getAddress(): ?Address
    {
        return $this->address;
    }

    public function getTown(): ?Town
    {
        return $this->town;
    }

    public function getMedia(): ?Media
    {
        return $this->media;
    }
}
